@echo off
title MiniHost Updater
echo.
echo [+] Menunggu MiniHost untuk menutup sepenuhnya...
ping 127.0.0.1 -n 4 > nul
echo.
echo [+] Memastikan proses MiniHost telah berhenti...
taskkill /f /im MiniHost.exe > nul 2>&1
ping 127.0.0.1 -n 2 > nul
echo.
echo [+] Menyalin file-file pembaruan...
xcopy "%~dp0temp_update" "%~dp0" /E /H /C /I /Y > nul
echo.
echo [+] Membersihkan sisa file pembaruan...
rmdir /s /q "%~dp0temp_update"
echo.
echo [+] Pembaruan sukses! Memulai ulang MiniHost...
start "" "%~dp0MiniHost.exe"
del "%~f0"